#!/bin/bash

# Verificăm dacă directorul pentru fișierele generate există, altfel îl creăm
mkdir -p matrix_samples

# Compilăm programul C++
g++ -o generate_matrices generate_matrix_samples.cpp

# Verificăm dacă compilarea a avut succes
if [ $? -eq 0 ]; then
    echo "Compilare reușită! Executabilul este 'generate_matrices'."
else
    echo "Eroare la compilare!"
    exit 1
fi

# Executăm programul cu input-ul specificat
echo "Introduceti input-ul programului (numarul de fisere si dimensiunile matricei):"
./generate_matrices

# Verificăm dacă programul a rulat cu succes
if [ $? -eq 0 ]; then
    echo "Fișierele de matrice au fost generate cu succes!"
else
    echo "Eroare la rularea programului!"
    exit 1
fi

# Opțional: Ștergem executabilul generat
echo "Doriți să ștergeți executabilul generat? (y/n)"
read delete_exe

if [ "$delete_exe" == "y" ]; then
    rm -f generate_matrices
    echo "Executabilul a fost șters."
else
    echo "Executabilul păstrează."
fi